Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove
Interface AESAudioMetadata.FaceRegion

Enclosing class:
  AESAudioMetadata

    public static interface AESAudioMetadata.FaceRegion

Public interface to the nested FaceRegion object. Instances of this should be created only by appropriate methods, but can be accessed through the public methods of this interface.

Method Summary
`AESAudioMetadata.TimeDesc` | `getDuration()` Returns the duration.
`java.lang.String[]` | `getMapLocations()` Returns the channel map locations.
`AESAudioMetadata.TimeDesc` | `getStartTime()` Returns the starting time.
`void` | `setDuration(long samples)` Sets the duration.
`void` | `setMapLocations(java.lang.String[] locations)` Sets the channel map locations.
`void` | `setStartTime(long samples)` Sets the starting time.

Method Detail

### getStartTime

    AESAudioMetadata.TimeDesc getStartTime()

  Returns the starting time.

### getDuration

    AESAudioMetadata.TimeDesc getDuration()

  Returns the duration.

### getMapLocations

    java.lang.String[] getMapLocations()

  Returns the channel map locations. The array length must equal the number of channels.

### setStartTime

    void setStartTime(long samples)

  Sets the starting time.

### setDuration

    void setDuration(long samples)

  Sets the duration.

### setMapLocations

    void setMapLocations(java.lang.String[] locations)

  Sets the channel map locations. The array length must equal the number of channels.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD